Bug 217469 - textproc/py-docutils: Create py3- variant
Summary: textproc/py-docutils: Create py3- variant
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on: 217468
Blocks: 217475
  Show dependency treegraph
 
Reported: 2017-03-01 22:37 UTC by Danilo G. Baio
Modified: 2017-04-19 19:07 UTC (History)
2 users (show)

See Also:


Attachments
py-docutils-py3.patch (1.45 KB, patch)
2017-03-01 22:38 UTC, Danilo G. Baio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2017-03-01 22:37:19 UTC
- Create python3 version of textproc/py-docutils

This new port is required to fulfill the Python 3+ dependencies to the new port gitsome.

I didn't include an entry in textproc/Makefile for it not get conflicted with the other patches.

[Q/A]

portlint (textproc/py-docutils):
WARN: /usr/home/dbaio/FreeBSD/ports/textproc/py-docutils/distinfo: [1]: TIMESTAMP is over 30 days old
0 fatal errors and 1 warning found.

testport (textproc/py-docutils and textproc/py3-docutils):
   poudriere i386|amd64 10.3 p17     (OK)
   poudriere i386|amd64 11   p8      (OK)
   poudriere i386|amd64 12   r314365 (OK)
Comment 1 Danilo G. Baio freebsd_committer 2017-03-01 22:38:08 UTC
Created attachment 180408 [details]
py-docutils-py3.patch
Comment 2 Rene Ladan freebsd_committer 2017-03-19 13:43:08 UTC
maintainer reset
Comment 3 Carlos J. Puga Medina freebsd_committer 2017-04-18 19:19:47 UTC
Take.
Comment 4 commit-hook freebsd_committer 2017-04-19 19:07:23 UTC
A commit references this bug:

Author: cpm
Date: Wed Apr 19 19:06:19 UTC 2017
New revision: 438902
URL: https://svnweb.freebsd.org/changeset/ports/438902

Log:
  Add slave port of devel/py-docutils to support Python 3 version

  PR:		217469
  Submitted by:	Danilo G. Baio <dbaio@bsd.com.br>
  Approved by:	miwi (Python@)

Changes:
  head/textproc/Makefile
  head/textproc/py-docutils/Makefile
  head/textproc/py3-docutils/
  head/textproc/py3-docutils/Makefile
Comment 5 Carlos J. Puga Medina freebsd_committer 2017-04-19 19:07:59 UTC
Committed!

Thanks